from django.core.management import BaseCommand
from django.db import transaction

from tqdm import tqdm
from trainvel.gtfs.models import Trip


class Command(BaseCommand):
    def add_arguments(self, parser):
        parser.add_argument('--feed', type=str, help='GTFS Feed code')

    def handle(self, *args, **options):
        trips = Trip.objects.filter(route_name="").prefetch_related('gtfs_feed', 'route')
        if options['feed']:
            trips = trips.filter(gtfs_feed__code=options['feed'])

        with transaction.atomic():
            for trip in tqdm(trips.all()):
                trip.augment_data()
                trip.save()
